Bug 13270 - On receiving, "vendor note" label should not be displayed if nothing to display
Summary: On receiving, "vendor note" label should not be displayed if nothing to display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12111
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 16:18 UTC by Jonathan Druart
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13270: Don't display "vendor note" label if nothing to display (1.53 KB, patch)
2014-11-17 16:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13270: Don't display "vendor note" label if nothing to display (1.59 KB, patch)
2014-12-26 20:16 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13270: Don't display "vendor note" label if nothing to display (1.70 KB, patch)
2014-12-27 11:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-11-17 16:18:06 UTC
On receiving (acqui/orderreceive.pl), the vendor note is no longer editable.
But the label ("Vendor note:") is still displayed.
It should only be displayed when it's not empty.
Comment 1 Jonathan Druart 2014-11-17 16:20:26 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-12-26 20:16:31 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-27 11:24:04 UTC
Created attachment 34701 [details] [review]
[PASSED QA] Bug 13270: Don't display "vendor note" label if nothing to display

Bug 12111 removes the vendor note edition on receiving.
The label should not be displayed when it's empty.

Test plan:
1/ Receive an order without a vendor note and verify that the label is not
displayed.
2/ Receive an order with a vendor note and verify that the note is
displayed.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works as described, small template change.
Comment 4 Tomás Cohen Arazi 2015-02-05 18:29:15 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-02-10 22:02:20 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 6 Mason James 2015-02-26 03:45:18 UTC
Possible selection for 3.16.x
Comment 7 Mason James 2015-04-22 10:56:22 UTC
Pushed to 3.16.x, will be in 3.16.10